### Hierarchy

- File

## Index

### Constructors

- constructor

### Accessors

- AppProperties
- ContentTypes
- CoreProperties
- Document
- DocumentRelationships
- FileRelationships
- FootNotes
- Footer
- Footers
- Header
- Headers
- Media
- Numbering
- Settings
- Styles

### Methods

- addImage
- addParagraph
- addSection
- addTable
- addTableOfContents
- createBookmark
- createEvenPageFooter
- createEvenPageHeader
- createFirstPageFooter
- createFirstPageHeader
- createFooter
- createFootnote
- createHeader
- createHyperlink
- createImage
- createInternalHyperLink
- createParagraph
- createTable
- getFooterByReferenceNumber
- getHeaderByReferenceNumber
- verifyUpdateFields

## Constructors

### constructor

- new File(options?: IPropertiesOptions, sectionPropertiesOptions?: SectionPropertiesOptions, fileProperties?: IFileProperties): File

- - Defined in file/file.ts:47

  #### Parameters

  - ##### Default value options: IPropertiesOptions = {creator: "Un-named",revision: "1",lastModifiedBy: "Un-named",}

  - ##### Default value sectionPropertiesOptions: SectionPropertiesOptions = {}

  - ##### Default value fileProperties: IFileProperties = {}

  #### Returns File

## Accessors

### AppProperties

- get AppProperties(): AppProperties

- - Defined in file/file.ts:441

  #### Returns AppProperties

### ContentTypes

- get ContentTypes(): ContentTypes

- - Defined in file/file.ts:437

  #### Returns ContentTypes

### CoreProperties

- get CoreProperties(): CoreProperties

- - Defined in file/file.ts:401

  #### Returns CoreProperties

### Document

- get Document(): Document

- - Defined in file/file.ts:389

  #### Returns Document

### DocumentRelationships

- get DocumentRelationships(): Relationships

- - Defined in file/file.ts:413

  #### Returns Relationships

### FileRelationships

- get FileRelationships(): Relationships

- - Defined in file/file.ts:417

  #### Returns Relationships

### FootNotes

- get FootNotes(): FootNotes

- - Defined in file/file.ts:445

  #### Returns FootNotes

### Footer

- get Footer(): FooterWrapper

- - Defined in file/file.ts:429

  #### Returns FooterWrapper

### Footers

- get Footers(): FooterWrapper[]

- - Defined in file/file.ts:433

  #### Returns FooterWrapper[]

### Header

- get Header(): HeaderWrapper

- - Defined in file/file.ts:421

  #### Returns HeaderWrapper

### Headers

- get Headers(): HeaderWrapper[]

- - Defined in file/file.ts:425

  #### Returns HeaderWrapper[]

### Media

- get Media(): Media

- - Defined in file/file.ts:409

  #### Returns Media

### Numbering

- get Numbering(): Numbering

- - Defined in file/file.ts:405

  #### Returns Numbering

### Settings

- get Settings(): Settings

- - Defined in file/file.ts:449

  #### Returns Settings

### Styles

- get Styles(): Styles
- set Styles(styles: Styles): void

- - Defined in file/file.ts:393

  #### Returns Styles

- - Defined in file/file.ts:397

  #### Parameters

  - ##### styles: Styles

  #### Returns void

## Methods

### addImage

- addImage(image: Image): File

- - Defined in file/file.ts:138

  #### Parameters

  - ##### image: Image

  #### Returns File

### addParagraph

- addParagraph(paragraph: Paragraph): File

- - Defined in file/file.ts:120

  #### Parameters

  - ##### paragraph: Paragraph

  #### Returns File

### addSection

- addSection(sectionPropertiesOptions: SectionPropertiesOptions): void

- - Defined in file/file.ts:181

  #### Parameters

  - ##### sectionPropertiesOptions: SectionPropertiesOptions

  #### Returns void

### addTable

- addTable(table: Table): File

- - Defined in file/file.ts:129

  #### Parameters

  - ##### table: Table

  #### Returns File

### addTableOfContents

- addTableOfContents(toc: TableOfContents): File

- - Defined in file/file.ts:115

  #### Parameters

  - ##### toc: TableOfContents

  #### Returns File

### createBookmark

- createBookmark(name: string, text?: undefined | string): Bookmark

- - Defined in file/file.ts:175

  #### Parameters

  - ##### name: string

  - ##### Optional text: undefined | string

  #### Returns Bookmark

### createEvenPageFooter

- createEvenPageFooter(): FooterWrapper

- - Defined in file/file.ts:240

  #### Returns FooterWrapper

### createEvenPageHeader

- createEvenPageHeader(): HeaderWrapper

- - Defined in file/file.ts:214

  #### Returns HeaderWrapper

### createFirstPageFooter

- createFirstPageFooter(): FooterWrapper

- - Defined in file/file.ts:227

  #### Returns FooterWrapper

### createFirstPageHeader

- createFirstPageHeader(): HeaderWrapper

- - Defined in file/file.ts:201

  #### Returns HeaderWrapper

### createFooter

- createFooter(): FooterWrapper

- - Defined in file/file.ts:195

  #### Returns FooterWrapper

### createFootnote

- createFootnote(paragraph: Paragraph): void

- - Defined in file/file.ts:185

  #### Parameters

  - ##### paragraph: Paragraph

  #### Returns void

### createHeader

- createHeader(): HeaderWrapper

- - Defined in file/file.ts:189

  #### Returns HeaderWrapper

### createHyperlink

- createHyperlink(link: string, text?: undefined | string): Hyperlink

- - Defined in file/file.ts:155

  #### Parameters

  - ##### link: string

  - ##### Optional text: undefined | string

  #### Returns Hyperlink

### createImage

- createImage(buffer: Buffer | string | Uint8Array | ArrayBuffer, width?: undefined | number, height?: undefined | number, drawingOptions?: IDrawingOptions): Image

- - Defined in file/file.ts:143

  #### Parameters

  - ##### buffer: Buffer | string | Uint8Array | ArrayBuffer

  - ##### Optional width: undefined | number

  - ##### Optional height: undefined | number

  - ##### Optional drawingOptions: IDrawingOptions

  #### Returns Image

### createInternalHyperLink

- createInternalHyperLink(anchor: string, text?: undefined | string): Hyperlink

- - Defined in file/file.ts:167

  #### Parameters

  - ##### anchor: string

  - ##### Optional text: undefined | string

  #### Returns Hyperlink

### createParagraph

- createParagraph(text?: undefined | string): Paragraph

- - Defined in file/file.ts:125

  #### Parameters

  - ##### Optional text: undefined | string

  #### Returns Paragraph

### createTable

- createTable(rows: number, cols: number): Table

- - Defined in file/file.ts:134

  #### Parameters

  - ##### rows: number

  - ##### cols: number

  #### Returns Table

### getFooterByReferenceNumber

- getFooterByReferenceNumber(refId: number): FooterWrapper

- - Defined in file/file.ts:253

  #### Parameters

  - ##### refId: number

  #### Returns FooterWrapper

### getHeaderByReferenceNumber

- getHeaderByReferenceNumber(refId: number): HeaderWrapper

- - Defined in file/file.ts:261

  #### Parameters

  - ##### refId: number

  #### Returns HeaderWrapper

### verifyUpdateFields

- verifyUpdateFields(): void

- - Defined in file/file.ts:269

  #### Returns void

Generated using TypeDoc